--  File:     DUR_POST_VERIFY.SQL
--            Microsoft TPC-H Benchmark Kit Ver. 2.14.0-1010
--            Copyright Microsoft, 2010, 2011
--
--	Insert your values in the "between" clause below
--

--
--	These selects should result in Zero rows found
--

-- Durability Stream 1
select	*
from	acid_values
where	seq_num between 11 and 112 and
	not exists (	select	*
			from	HISTORY_DUR
			where	H_O_KEY = acid_o_key and
				H_L_KEY = acid_l_key and
				H_DELTA = acid_delta
		    )

-- Durability Stream 2
select	*
from	acid_values
where	seq_num between 211 and 358 and
	not exists (	select	*
			from	HISTORY_DUR
			where	H_O_KEY = acid_o_key and
				H_L_KEY = acid_l_key and
				H_DELTA = acid_delta
		    )

-- Durability Stream 3
select	*
from	acid_values
where	seq_num between 411 and 564 and
	not exists (	select	*
			from	HISTORY_DUR
			where	H_O_KEY = acid_o_key and
				H_L_KEY = acid_l_key and
				H_DELTA = acid_delta
		    )

-- Durability Stream 4
select	*
from	acid_values
where	seq_num between 611 and 726 and
	not exists (	select	*
			from	HISTORY_DUR
			where	H_O_KEY = acid_o_key and
				H_L_KEY = acid_l_key and
				H_DELTA = acid_delta
		    )

-- Durability Stream 5
select	*
from	acid_values
where	seq_num between 811 and 951 and
	not exists (	select	*
			from	HISTORY_DUR
			where	H_O_KEY = acid_o_key and
				H_L_KEY = acid_l_key and
				H_DELTA = acid_delta
		    )

-- Durability Stream 6
select	*
from	acid_values
where	seq_num between 1011 and 1172 and
	not exists (	select	*
			from	HISTORY_DUR
			where	H_O_KEY = acid_o_key and
				H_L_KEY = acid_l_key and
				H_DELTA = acid_delta
		    )

-- Durability Stream 7
select	*
from	acid_values
where	seq_num between 1211 and 1350 and
	not exists (	select	*
			from	HISTORY_DUR
			where	H_O_KEY = acid_o_key and
				H_L_KEY = acid_l_key and
				H_DELTA = acid_delta
		    )

-- Durability Stream 8
select	*
from	acid_values
where	seq_num between 1411 and 1521 and
	not exists (	select	*
			from	HISTORY_DUR
			where	H_O_KEY = acid_o_key and
				H_L_KEY = acid_l_key and
				H_DELTA = acid_delta
		    )

-- Durability Stream 9
select	*
from	acid_values
where	seq_num between 1611 and 1773 and
	not exists (	select	*
			from	HISTORY_DUR
			where	H_O_KEY = acid_o_key and
				H_L_KEY = acid_l_key and
				H_DELTA = acid_delta
		    )

-- Durability Stream 10
select	*
from	acid_values
where	seq_num between 1811 and 1959 and
	not exists (	select	*
			from	HISTORY_DUR
			where	H_O_KEY = acid_o_key and
				H_L_KEY = acid_l_key and
				H_DELTA = acid_delta
		    )

--
--	These selects should result in Zero or One row(s) found
--

-- Durability Stream 1
select	*
from	acid_values
where	seq_num between 11 and 113 and
	not exists (	select	*
			from	HISTORY_DUR
			where	H_O_KEY = acid_o_key and
				H_L_KEY = acid_l_key and
				H_DELTA = acid_delta
		    )

-- Durability Stream 2
select	*
from	acid_values
where	seq_num between 211 and 359 and
	not exists (	select	*
			from	HISTORY_DUR
			where	H_O_KEY = acid_o_key and
				H_L_KEY = acid_l_key and
				H_DELTA = acid_delta
		    )

-- Durability Stream 3
select	*
from	acid_values
where	seq_num between 411 and 565 and
	not exists (	select	*
			from	HISTORY_DUR
			where	H_O_KEY = acid_o_key and
				H_L_KEY = acid_l_key and
				H_DELTA = acid_delta
		    )

-- Durability Stream 4
select	*
from	acid_values
where	seq_num between 611 and 727 and
	not exists (	select	*
			from	HISTORY_DUR
			where	H_O_KEY = acid_o_key and
				H_L_KEY = acid_l_key and
				H_DELTA = acid_delta
		    )

-- Durability Stream 5
select	*
from	acid_values
where	seq_num between 811 and 952 and
	not exists (	select	*
			from	HISTORY_DUR
			where	H_O_KEY = acid_o_key and
				H_L_KEY = acid_l_key and
				H_DELTA = acid_delta
		    )

-- Durability Stream 6
select	*
from	acid_values
where	seq_num between 1011 and 1173 and
	not exists (	select	*
			from	HISTORY_DUR
			where	H_O_KEY = acid_o_key and
				H_L_KEY = acid_l_key and
				H_DELTA = acid_delta
		    )

-- Durability Stream 7
select	*
from	acid_values
where	seq_num between 1211 and 1351 and
	not exists (	select	*
			from	HISTORY_DUR
			where	H_O_KEY = acid_o_key and
				H_L_KEY = acid_l_key and
				H_DELTA = acid_delta
		    )

-- Durability Stream 8
select	*
from	acid_values
where	seq_num between 1411 and 1522 and
	not exists (	select	*
			from	HISTORY_DUR
			where	H_O_KEY = acid_o_key and
				H_L_KEY = acid_l_key and
				H_DELTA = acid_delta
		    )

-- Durability Stream 9
select	*
from	acid_values
where	seq_num between 1611 and 1774 and
	not exists (	select	*
			from	HISTORY_DUR
			where	H_O_KEY = acid_o_key and
				H_L_KEY = acid_l_key and
				H_DELTA = acid_delta
		    )

-- Durability Stream 10
select	*
from	acid_values
where	seq_num between 1811 and 1960 and
	not exists (	select	*
			from	HISTORY_DUR
			where	H_O_KEY = acid_o_key and
				H_L_KEY = acid_l_key and
				H_DELTA = acid_delta
		    )
