--  File:     ATOM_RB.SQL 
--            Microsoft TPC-H Benchmark Kit Ver. 2.14.0-1010
--            Copyright Microsoft, 2010, 2011
--  Purpose:  Atomicity rollback test

declare @acid_test	char(25),
	@rand_o_key	bigint,
	@rand_l_key	bigint,
	@rand_delta	int

select	@rand_o_key	= acid_o_key,
	@rand_l_key	= acid_l_key,
	@rand_delta	= acid_delta
from	acid_values
where	acid_test	= 'Atomicity_Rollback'

select	'Random Values Used',
	@rand_o_key "@RAND_O_KEY",
	@rand_l_key "@RAND_L_KEY",
	@rand_delta "@RAND_DELTA"

exec tran_w_rb	@rand_o_key,
		@rand_l_key,
		@rand_delta
GO


